@import '_variables';
@import '_mixins';
@import '_reset';
@import 'sections/header';
@import 'sections/footer';

:root {
  font-size: 10px;
}

body {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: 'Roboto', sans-serif;
  color: $color;
}


  .content {
    padding: 0 2.5rem 4rem;

    &__banner {
      width: 100%;
      height: 15rem;
      display: flex;
      align-items: center;
      justify-content: center;
      overflow: hidden;
      margin-bottom: 3.5rem;
    }

    &__banner img {
      width: 100%;
      height: auto;
    }

    &__posts {

      &-title {
        font-size: 1.4rem;
        line-height: 2.2rem;
        font-weight: bold;
        text-transform: uppercase;
        color: $title-color;
        margin: 0 0 2.3rem 0;
      }

      .posts-info {
        display: none;

        &:nth-child(-n+4) {
          display: block;
        }

        &:not(:last-child) {
          margin-bottom: 2.8rem;
        }


        &__img {
          width: 16rem;
          height: 14rem;
          display: flex;
          align-items: center;
          justify-content: center;
          overflow: hidden;
          margin-bottom: 1rem;

        }

        &__img img {
          width: 100%;
          height: auto;

        }

        &__title {
          font-weight: bold;
          font-size: 1.4rem;
          line-height: 3rem;
          color: $title-color;
        }

        &__content {
          font-size: 1.1rem;
          line-height: 2.2rem;
        }

        &__content-text {
          display: none;
        }
      }

    }

    &__insta {
      margin-top: 4rem;
      padding: 4rem 0;

      &-title {
        margin-bottom: 1.5rem;
        text-transform: uppercase;
        font-weight: bold;
        font-size: 1.4rem;
        line-height: 2.2rem;
        color: $title-color;
      }


      &-title-link {
        display: none;
      }

      .images {

        &__wrap:nth-child(1) {
          display: flex;
        }

        &__wrap {
          display: none;
          max-width: 30rem;
          max-height: 30rem;
          align-items: center;
          justify-content: center;
          overflow: hidden;
        }

        &__wrap img {
          width: 100%;
          height: auto;

        }
      }
    }
  }

@media screen and (min-width: $bp-tablet) {
  .content {
    width: 70rem;
    padding: unset;
    margin: 0 auto;

    &__banner {
      height: 35rem;
      margin-bottom: 5rem;

    }

    &__banner img {
      width: auto;
      height: 100%;
    }

    &__posts {
      &-title {
        font-size: 1.6rem;
      }

      .posts-info {
        display: flex;

        &:nth-child(-n+4) {
          display: flex;
        }


        &__img {
          margin-bottom: 0;
          margin-right: 2rem;
        }

        &__title {
          font-size: 1.6rem;
        }

        &__text {
          display: flex;
          flex-direction: column;
          font-size: 1.4rem;
          line-height: 1.6rem;
          width: 40rem;
          color: #5C5C5C;
        }

        &__content {
          font-size: 1.2rem;
          line-height: 2rem;
          margin-bottom: 1rem;
        }

        &__content-text {
          display: block;
          font-size: 1.4rem;
          line-height: 2.6rem;
        }
      }
    }

    &__insta {
      &-title {
        display: flex;
        justify-content: space-between;
      }

      &-title-link {
        display: inline-block;
        text-decoration: none;
        color: inherit;

      }

      .images {
        display: grid;
        grid-template-columns: 1fr 1fr 1fr;
        grid-template-rows: 1fr;
        grid-column-gap: 1rem;

        &__wrap:nth-child(-n+3) {
          display: flex;
        }
      }
    }

  }
}

@media screen and (min-width: $bp-desctop) {
  .content {
    width: 117rem;

    &__banner {
      height: 55rem;
    }

    &__posts {
      display: flex;
      flex-wrap: wrap;
    }

    &__posts-title {
      flex-basis: 100%;
    }

    .posts-info {
      flex-basis: 50%;

    }

    .images {
      grid-template-columns: 1fr 1fr 1fr 1fr;

      &__wrap:nth-child(-n+4) {
        display: flex;
      }
    }


  }
}